图片系列Midjourney
Midjourney 批量查询任务
POST
按 Midjourney 任务 ID 列表批量查询任务详情。适合在客户端保存多个任务 ID 后一次性刷新任务状态。
bearerAuthheader
AuthorizationBearer <API key>使用 Authorization Bearer API Key 进行鉴权。
application/json- body
ids*array<string>Midjourney 任务 ID 列表。
Midjourney 任务详情列表。
application/json- response
[index: integer]?Midjourney 任务详情。
curl -X POST 'https://goldflow.cc/mj/task/list-by-condition' \ -H 'Content-Type: application/json' \ -d '{ "ids": [ "1751700106922083" ]}'Example Response
[ { "id": "string", "action": "string", "customId": "string", "botType": "string", "prompt": "string", "promptEn": "string", "description": "string", "state": "string", "submitTime": 0, "startTime": 0, "finishTime": 0, "imageUrl": "http://example.com", "videoUrl": "http://example.com", "videoUrls": [ { "url": "http://example.com" } ], "status": "string", "progress": "string", "failReason": "string", "buttons": [ {} ], "maskBase64": "string", "properties": {} }]